.common_new_mrs_conditions: &common_new_mrs_conditions
  state: opened
  labels:
    - Community contribution
  date:
    attribute: created_at
    condition: newer_than
    interval_type: days
    interval: 7
.inactive_mr_conditions: &inactive_mr_conditions
  state: opened
  labels:
    - Community contribution
  date:
    attribute: updated_at
    condition: older_than
    interval_type: months
    interval: 2
.old_mr_conditions: &old_mr_conditions
  state: opened
  labels:
    - Community contribution
  date:
    attribute: created_at
    condition: older_than
    interval_type: months
    interval: 2
.item: &item
  item: |
    - [ ] #{full_resource_reference} {{title}} {{labels}}
resource_rules:
  merge_requests:
    summaries:
      - name: Collate component MRs requiring attention
        actions:
          summarize:
            destination: gitlab-org/quality/triage-reports
            title: |
              #{Date.today.iso8601} - CI Catalog : Components report
            summary: |
              To triage the merge requests, please check off the box in front of the given MR.

              Upon reviewing each merge request, consider pinging a component maintainer for an early review as applicable.
              For example, these may be MRs with large scope changes with an impact to system performance or product workflow.
              Keep in mind that even if the MR is in draft, it may still benefit from early feedback.

              {{items}}

              This report is generated by this [triage-ops policy](#{ENV['CI_PROJECT_URL']}/blob/#{ENV['CI_DEFAULT_BRANCH']}/policies/groups/gitlab-org/verify/gitlab-components-contributions.yml).

              /label ~"triage report" ~"ci::components"
              /assign @fabiopitino @leetickett-gitlab @stingrayza @dnsmichi @dhershkovitch
        rules:
          - name: Recent component contributions
            conditions:
              <<: *common_new_mrs_conditions
            actions:
              summarize:
                <<: *item
                summary: |
                  ## Recently opened component merge requests (created <7 days)

                  {{items}}
          - name: Stale component contributions
            conditions:
              <<: *inactive_mr_conditions
            actions:
              summarize:
                <<: *item
                summary: |
                  ## Inactive component merge requests (updated 2+ months ago)

                  {{items}}
          - name: Old component contributions
            conditions:
              <<: *old_mr_conditions
            actions:
              summarize:
                <<: *item
                summary: |
                  ## Old component merge requests (created 2+ months ago)

                  {{items}}
